curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/delayDistribution \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"delayDistribution": {
"type": "uniform",
"lower": 50,
"upper": 100
}
}
'{
"delayDistribution": {
"median": 123,
"sigma": 123,
"maxValue": 123,
"type": "lognormal"
}
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}Settings
Update delay distribution
Update the response delay distribution for a mock API.
PUT
/
v1
/
mock-apis
/
{mockApiId}
/
settings
/
delayDistribution
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/delayDistribution \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"delayDistribution": {
"type": "uniform",
"lower": 50,
"upper": 100
}
}
'{
"delayDistribution": {
"median": 123,
"sigma": 123,
"maxValue": 123,
"type": "lognormal"
}
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
Body
application/json
Log normally distributed random response delay.
- Log normal
- Uniform
- Fixed
- None
Show child attributes
Show child attributes
Response
Settings successfully updated
Log normally distributed random response delay.
- Log normal
- Uniform
- Fixed
- None
Show child attributes
Show child attributes